nxt.ms

## Enum Currency.Event

- java.lang.Object
- - java.lang.Enum<Currency.Event>
  - - nxt.ms.Currency.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Currency.Event>
  Enclosing class:
    Currency

      public static enum Currency.Event
      extends java.lang.Enum<Currency.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEFORE_DELETE`
    `BEFORE_DISTRIBUTE_CROWDFUNDING`
    `BEFORE_UNDO_CROWDFUNDING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Currency.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Currency.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_DISTRIBUTE_CROWDFUNDING

          public static final Currency.Event BEFORE_DISTRIBUTE_CROWDFUNDING

    - #### BEFORE_UNDO_CROWDFUNDING

          public static final Currency.Event BEFORE_UNDO_CROWDFUNDING

    - #### BEFORE_DELETE

          public static final Currency.Event BEFORE_DELETE

  - ### Method Detail

    - #### values

          public static Currency.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Currency.Event c : Currency.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Currency.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null